#include "simplei2c.h"
#include "simpletext.h"
#include "simpletools.h"
#include "Adafruit_ADS1015.h"

#define I2C_SCL 28
#define I2C_SDA 29
#define I2C_MODE 0



int main(void)
{
    i2c *i2cBus = i2c_newbus(I2C_SCL,  I2C_SDA, I2C_MODE);
    Adafruit_ADS1015(i2cBus);
    
    uint16_t reading;
    
    while(1)
    {
        reading = readADC_SingleEnded(0); // read channel 0
        print("reading: %d\r\n", reading); // print reading    
        wait(2); // loop 2 sek
    }
    
    return 0;
}